import 'package:flutter/material.dart';

class DataBase{
  static List<GridView> _mangaItem = <GridView>[];
  static List<GridView> _gameItem = <GridView>[];

   DataBase(){
    const TextStyle optionStyle =
    TextStyle(fontSize: 30, fontWeight: FontWeight.bold,);

    _mangaItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://www.manga-news.com/public/images/series/arte-1-komikku.jpg'), Align(alignment: Alignment.center,child: Text('Arte',style: optionStyle )),]));
    _mangaItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://static.fnac-static.com/multimedia/Images/FR/NR/fa/d8/17/1562874/1507-1/tsp20161130112826/Berserk.jpg'), Align(alignment: Alignment.center,child: Text('Berserk',style: optionStyle )),]));
    _mangaItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://upload.wikimedia.org/wikipedia/en/6/6c/Koe_no_Katachi%2C_Volume_1.jpg'), Align(alignment: Alignment.center,child: Text('Koe No Katachi',style: optionStyle )),]));
    _mangaItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://images-na.ssl-images-amazon.com/images/I/91N8saM4HdL.jpg'), Align(alignment: Alignment.center,child: Text('Made In Abyss',style: optionStyle )),]));
    _mangaItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://www.manga-news.com/public/images/vols/monster-deluxe-1-kana.jpg'), Align(alignment: Alignment.center,child: Text('Monster',style: optionStyle )),]));
    _mangaItem.add(GridView.count(   crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://www.manga-news.com/public/images/series/Shingekinokyojin-01-kodansha.jpg'), Align(alignment: Alignment.center,child: Text('Shingeki No Kyojin',style: optionStyle )),]));

    _gameItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://www.manga-news.com/public/images/series/arte-1-komikku.jpg'), Align(alignment: Alignment.center,child: Text('Dark Souls 3',style: optionStyle )),]));
    _gameItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://static.fnac-static.com/multimedia/Images/FR/NR/fa/d8/17/1562874/1507-1/tsp20161130112826/Berserk.jpg'), Align(alignment: Alignment.center,child: Text('Halo: The Master Chief Collection',style: optionStyle )),]));
    _gameItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://upload.wikimedia.org/wikipedia/en/6/6c/Koe_no_Katachi%2C_Volume_1.jpg'), Align(alignment: Alignment.center,child: Text('Hollow Knight',style: optionStyle )),]));
    _gameItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://images-na.ssl-images-amazon.com/images/I/91N8saM4HdL.jpg'), Align(alignment: Alignment.center,child: Text('Sekiro',style: optionStyle )),]));
    _gameItem.add(GridView.count(crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://www.manga-news.com/public/images/vols/monster-deluxe-1-kana.jpg'), Align(alignment: Alignment.center,child: Text('Slay The Spire',style: optionStyle )),]));
    _gameItem.add(GridView.count(   crossAxisCount: 2,physics: new NeverScrollableScrollPhysics(), children: <Widget>
    [Image.network('https://www.manga-news.com/public/images/series/Shingekinokyojin-01-kodansha.jpg'), Align(alignment: Alignment.center,child: Text('Temtem',style: optionStyle )),]));

     //trier automatiquement ?
  }

  List<GridView> getMangaViews(){ return _mangaItem;}
  List<GridView> getGameViews(){ return _gameItem;}
}